Autotools

Dan Nicholson dbn.lists at gmail.com
Thu Dec 7 10:54:00 PST 2006


On 12/7/06, Bruce Dubbs <bruce.dubbs at gmail.com> wrote:
> Alexander E. Patrakov wrote:
>
> > The question is
> > whether we install /usr/bin/auto* just for beauty (with no intention to
> > call it), or for a functional purpose. As far as I can remember the past
> > discussions, autotools are a part of the development platform that LFS
> > aims to be.
>
> You make a good point.  The question in my mind is which versions
> (plural) of autotools should be installed?  Perhaps the most recent
> version and then a discussion of the issues and a generic "install
> additional versions as required like this" section would be more
> appropriate than us trying to decide in advance what versions a
> developer will need.

Mozilla _requires_ autoconf-2.13. Ouch. I had to install it in my home
directory when I was investigating the pango-xft issues. I've often
thought it would be nice to get the multiple version magic going, but
never had enough interest to do it.

--
Dan



More information about the lfs-dev mailing list